Loading...
Searching...
No Matches
com::lomiri::content::Peer Class Reference

`#include <com/lomiri/content/peer.h>`

Inheritance diagram for com::lomiri::content::Peer:
Collaboration diagram for com::lomiri::content::Peer:

## Public Member Functions

| Peer (const QString &id=QString(), bool isDefaultPeer=false, QObject *parent=nullptr)
| Peer (const QString &, const QString &, QByteArray &, const QString &, bool, QObject *parent=nullptr)
| Peer (const Peer &rhs)
virtual | ~Peer ()
Peer & | operator= (const Peer &rhs)
bool | operator== (const Peer &rhs) const
virtual Q_INVOKABLE const QString & | id () const
virtual Q_INVOKABLE QString | name () const
Q_INVOKABLE void | setName (const QString &)
virtual Q_INVOKABLE QByteArray | iconData () const
Q_INVOKABLE void | setIconData (const QByteArray &)
virtual Q_INVOKABLE QString | iconName () const
Q_INVOKABLE void | setIconName (const QString &)
virtual Q_INVOKABLE bool | isDefaultPeer () const

## Static Public Member Functions

static const Peer & | unknown ()

## Properties

QString | id
QString | name
QString | iconName
bool | isDefaultPeer

## Detailed Description

Definition at line 31 of file peer.h.

## Constructor & Destructor Documentation

## Peer() [1/3]

com::lomiri::content::Peer::Peer | ( | const QString & | id = QString(),
|  | bool | isDefaultPeer = false,
|  | QObject * | parent = nullptr )

References isDefaultPeer, and Peer().

Referenced by operator=(), operator==(), Peer(), Peer(), Peer(), unknown(), and ~Peer().

Here is the call graph for this function:

## Peer() [2/3]

com::lomiri::content::Peer::Peer | ( | const QString & | ,
|  | const QString & | ,
|  | QByteArray & | ,
|  | const QString & | ,
|  | bool | ,
|  | QObject * | parent = nullptr )

References Peer().

Here is the call graph for this function:

## Peer() [3/3]

com::lomiri::content::Peer::Peer | ( | const Peer & | rhs | ) |

References Peer().

Here is the call graph for this function:

## ~Peer()

virtual com::lomiri::content::Peer::~Peer | ( |  | ) |

virtual

References Peer().

Here is the call graph for this function:

## Member Function Documentation

## iconData()

virtual Q_INVOKABLE QByteArray com::lomiri::content::Peer::iconData | ( |  | ) | const

virtual

References iconData().

Referenced by iconData().

Here is the call graph for this function:

## iconName()

virtual Q_INVOKABLE QString com::lomiri::content::Peer::iconName | ( |  | ) | const

virtual

References iconName.

## id()

virtual Q_INVOKABLE const QString & com::lomiri::content::Peer::id | ( |  | ) | const

virtual

## isDefaultPeer()

virtual Q_INVOKABLE bool com::lomiri::content::Peer::isDefaultPeer | ( |  | ) | const

virtual

References isDefaultPeer.

## name()

virtual Q_INVOKABLE QString com::lomiri::content::Peer::name | ( |  | ) | const

virtual

References name.

## operator=()

Peer & com::lomiri::content::Peer::operator= | ( | const Peer & | rhs | ) |

References Peer().

Here is the call graph for this function:

## operator==()

bool com::lomiri::content::Peer::operator== | ( | const Peer & | rhs | ) | const

References Peer().

Here is the call graph for this function:

## setIconData()

Q_INVOKABLE void com::lomiri::content::Peer::setIconData | ( | const QByteArray & |  | ) |

References setIconData().

Referenced by setIconData().

Here is the call graph for this function:

## setIconName()

Q_INVOKABLE void com::lomiri::content::Peer::setIconName | ( | const QString & |  | ) |

References setIconName().

Referenced by setIconName().

Here is the call graph for this function:

## setName()

Q_INVOKABLE void com::lomiri::content::Peer::setName | ( | const QString & |  | ) |

References setName().

Referenced by setName().

Here is the call graph for this function:

## unknown()

const Peer & com::lomiri::content::Peer::unknown | ( |  | ) |

static

References Peer(), and unknown().

Referenced by unknown().

Here is the call graph for this function:

## Property Documentation

## iconName

QString com::lomiri::content::Peer::iconName

read write

Definition at line 36 of file peer.h.

Referenced by iconName().

## id

QString com::lomiri::content::Peer::id

read

Definition at line 34 of file peer.h.

## isDefaultPeer

bool com::lomiri::content::Peer::isDefaultPeer

read

Definition at line 37 of file peer.h.

Referenced by isDefaultPeer(), and Peer().

## name

QString com::lomiri::content::Peer::name

read write

Definition at line 35 of file peer.h.

Referenced by name().

The documentation for this class was generated from the following file:

- include/com/lomiri/content/peer.h